Advertisement
Guest User

Untitled

a guest
Sep 15th, 2011
363
0
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
C# 0.40 KB | None | 0 0
  1. namespace HelloWorld
  2.  
  3. {
  4.     [Autodesk.Revit.Attributes.Transaction Autodesk.Revit.Attributes.TransactionMode.Automatic)]
  5.     public class Class1 : IExternalCommand
  6.     {
  7.     public Autodesk.Revit.UI.Result Execute(ExternalCommandData revit,
  8.     ref string message, ElementSet elements)
  9.     {
  10.         ShowMyDialogBox();
  11.     }
  12.    
  13.     public void ShowMyDialogBox()
  14.     {
  15.         Form1 frm = new Form1();
  16.         frm.ShowDialog();
  17.     }
  18.  
  19.     }
  20. }
Advertisement
Add Comment
Please, Sign In to add comment
Advertisement